# ft_services
This is a System Administration and Networking project.  
Ft_services will introduce you to Kubernetes.   
You will discover cluster management and
deployment with Kubernetes.  
You will virtualize a network and do "clustering".

## Contributor

 - Omar BOUYKOURNE &nbsp;&nbsp;@su-omb &nbsp;	:   42login => `obouykou`

## Subject

[Ft_services Subject](https://github.com/su-omb/ft_services/blob/main/ft_services.en.subject.pdf)

## Screenshot

<img src="https://github.com/su-omb/ft_services_42/blob/master/screenshot.png" width="800" />

## Some Useful Sources :
 - [You need to learn Kubernetes RIGHT NOW!!](https://www.youtube.com/watch?v=7bA0gTroJjw)
 - [Complete Kubernetes Tutorial for Beginners](https://www.youtube.com/watch?v=VnvRFRk_51k&list=PLy7NrYWoggjziYQIDorlXjTvvwweTYoNC)
 - [Introduction to Containers w/ Docker, Kubernetes & OpenShift](https://www.coursera.org/learn/ibm-containers-docker-kubernetes-openshift)
 - [Kubernetes Deployment Tutorial - yaml explained + Demo](https://www.youtube.com/watch?v=y_vy9NVeCzo)
 - [Learn Kubernetes using Interactive Browser-Based Scenarios](https://www.katacoda.com/courses/kubernetes)
 - [Dockerfile reference](https://docs.docker.com/engine/reference/builder)
 - [Docker Machine command-line reference](http://docs.docker.oeynet.com/machine/reference/)
 - [Kubernetes Documentation](https://kubernetes.io/docs/home/)
 - [Secrets in Kubernetes](https://kubernetes.io/docs/concepts/configuration/secret/)
 - [Persistent Volumes in Kubernetes](https://kubernetes.io/docs/concepts/storage/persistent-volumes/)
 - [Persistent Volumes in Minikube](https://minikube.sigs.k8s.io/docs/handbook/persistent_volumes/)
 - [Difference between deploment strategies](https://docs.openshift.com/container-platform/4.6/applications/deployments/deployment-strategies.html)
 - [Nginx installation on Alpine Linux](https://wiki.alpinelinux.org/wiki/Nginx)
 - [Configure Self-Signed SSL For Nginx Docker From A Scratch](https://codingwithmanny.medium.com/configure-self-signed-ssl-for-nginx-docker-from-a-scratch-7c2bcd5478c6)
 - [Nginx config for wordpress and phpmyadmin using PHP FastCGI Process Manager (php-fpm7 service)](https://www.nginx.com/resources/wiki/start/topics/recipes/wordpress/)
 - [There is mismatch between HTTPS indicated on the server and client](https://stackoverflow.com/questions/56655548/there-is-mismatch-between-https-indicated-on-the-server-and-client)
 - [Nginx reverse proxy to PHPMyAdmin returns 404](https://serverfault.com/questions/931849/nginx-reverse-proxy-to-phpmyadmin-returns-404)
 - [$cfg['PmaAbsoluteUri'] in phpMyAdmin configuration file](https://docs.phpmyadmin.net/en/latest/config.html#cfg_PmaAbsoluteUri)
 - [Configuring MariaDB for Remote Client Access](https://mariadb.com/kb/en/configuring-mariadb-for-remote-client-access/)
 - [Configuring influxdb configuration file](https://docs.influxdata.com/influxdb/v1.8/administration/config/#using-the-configuration-file)
 - [Install Telegraf and Configure it for InfluxDB](https://www.youtube.com/watch?v=FrqeG-IajWM)
 - [Telegraf Config | Telegraf Documentation](https://docs.influxdata.com/telegraf/v1.17/introduction/installation/)
 - [Where you can start Grafana](https://grafana.com/docs/grafana/latest/installation/debian/)
 - [Provisioning Grafana](https://grafana.com/docs/grafana/latest/administration/provisioning/)
 - [Grafana CLI : change admin password](https://grafana.com/docs/grafana/latest/administration/cli/)
 - [How to install and configure VSFTPD](https://www.howtoforge.com/tutorial/how-to-install-and-configure-vsftpd/)
 - [How to configure vsftpd to work with passive mode](https://serverfault.com/questions/421161/how-to-configure-vsftpd-to-work-with-passive-mode)
 - [Active vs Passive FTP - Understanding FTP Ports](https://www.youtube.com/watch?v=8X-DZUIZa94)
 - [Proxy vs. Reverse Proxy (Explained by Example)](https://www.youtube.com/watch?v=ozhe__GdWC8)
 - [Proxy vs reverse proxy vs load balancer](https://www.youtube.com/watch?v=MiqrArNSxSM)
 - [Understanding the HTTP 307 Temporary Redirect Status Code in Depth](https://kinsta.com/knowledgebase/307-redirect/)

